<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: profile_link_colour.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion;

class profilecolour {

    private static $instance = NULL;

    public function __construct() {
        add_to_head("<link rel='stylesheet' href='".INFUSIONS."profile_link_colour".DIRECTORY_SEPARATOR."styles.css' type='text/css' media='all' />");
    }

    public static function getInstance() {
        if (empty(self::$instance)) {
            self::$instance = new static();
        }

        return self::$instance;
    }

    public function profile_link_colour($user_id, $user_status) {

        $user_level_colour = USER_LEVEL_PUBLIC;
        $user_level_colour = fusion_get_user($user_id, 'user_level');

        if ($user_level_colour == USER_LEVEL_MEMBER && $user_status == 0) {
            return "member";
        } else if ($user_level_colour == USER_LEVEL_ADMIN && $user_status == 0) {
            return "admin";
        } else if ($user_level_colour == USER_LEVEL_SUPER_ADMIN && $user_status == 0) {
            return "super-admin";
        } else if ($user_status == 1) {
            return "banned-member";
        } else if ($user_status == 3) {
            return "suspended-member";
        } else if ($user_status == 4) {
            return "security-banned-member";
        } else if ($user_status == 5) {
            return "canceled-member";
        } else if ($user_status == 6) {
            return "anonymized-member";
        } else if ($user_status == 7) {
            return "deactivated-member";
        }
    }

}
